<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: OAuth Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_o_auth.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_o_auth-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OAuth Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_o_auth_8h_source.html">OAuth.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5c3a460107cc60f0c0ab03bf90236ef9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth</a> ()</td></tr>
<tr class="separator:a5c3a460107cc60f0c0ab03bf90236ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001af1b65d67cfba0427dc02792bf021"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a001af1b65d67cfba0427dc02792bf021">OAuth</a> (<a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_o_auth_id.html">OAuthId</a> &gt; database)</td></tr>
<tr class="separator:a001af1b65d67cfba0427dc02792bf021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac81443e761b766b218550a8e6b0b786b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_o_auth_id.html">OAuthId</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#ac81443e761b766b218550a8e6b0b786b">getDatabase</a> () const </td></tr>
<tr class="separator:ac81443e761b766b218550a8e6b0b786b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02baeb7bfc7c1d69fb8cf7dfa7f2cb98"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a02baeb7bfc7c1d69fb8cf7dfa7f2cb98">getId</a> (std::string username)</td></tr>
<tr class="separator:a02baeb7bfc7c1d69fb8cf7dfa7f2cb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a370cfa3a6c5e099ea831aa47cd0bec2e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> id)</td></tr>
<tr class="separator:a370cfa3a6c5e099ea831aa47cd0bec2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1fd304b1233bf1e3829f897c8413280"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> id)</td></tr>
<tr class="separator:ad1fd304b1233bf1e3829f897c8413280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cce8a3b92e7d98d8c25adbeb9c3cde7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> id)</td></tr>
<tr class="separator:a5cce8a3b92e7d98d8c25adbeb9c3cde7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44a68aa042340863ba1ab54eb02a3aca"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">addId</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> id)</td></tr>
<tr class="separator:a44a68aa042340863ba1ab54eb02a3aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e37754724323a2b0e2dadab12ecc71d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">removeId</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> id)</td></tr>
<tr class="separator:a4e37754724323a2b0e2dadab12ecc71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c48fcee0a4938a9e758b939a2e7229b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a0c48fcee0a4938a9e758b939a2e7229b">editUsername</a> (std::string username, std::string newUsername)</td></tr>
<tr class="separator:a0c48fcee0a4938a9e758b939a2e7229b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b884ecb6c99d0bc58e308140f443222"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a6b884ecb6c99d0bc58e308140f443222">editPassword</a> (std::string username, std::string newPassword)</td></tr>
<tr class="separator:a6b884ecb6c99d0bc58e308140f443222"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac215f9c1ca04972b9e786917c5630e14"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#ac215f9c1ca04972b9e786917c5630e14">editId</a> (<a class="el" href="class_o_auth_id.html">OAuthId</a> oldId, <a class="el" href="class_o_auth_id.html">OAuthId</a> newId)</td></tr>
<tr class="separator:ac215f9c1ca04972b9e786917c5630e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a8c2ab31bcc4372b65f69bc77745ce61c"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth.html#a8c2ab31bcc4372b65f69bc77745ce61c">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_o_auth.html">OAuth</a> &amp;oauth)</td></tr>
<tr class="memdesc:a8c2ab31bcc4372b65f69bc77745ce61c"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#a8c2ab31bcc4372b65f69bc77745ce61c">More...</a><br /></td></tr>
<tr class="separator:a8c2ab31bcc4372b65f69bc77745ce61c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Manages authentication of app Credentials pool to manage multi-user app </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5c3a460107cc60f0c0ab03bf90236ef9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OAuth::OAuth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New <a class="el" href="class_o_auth.html">OAuth</a> manager with empty database </p><dl class="section return"><dt>Returns</dt><dd>New <a class="el" href="class_o_auth.html">OAuth</a> manager</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a001af1b65d67cfba0427dc02792bf021"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OAuth::OAuth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_o_auth_id.html">OAuthId</a> &gt;&#160;</td>
          <td class="paramname"><em>database</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New <a class="el" href="class_o_auth.html">OAuth</a> manager with credentials database </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">database</td><td>credentials database </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>New <a class="el" href="class_o_auth.html">OAuth</a> manager </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a44a68aa042340863ba1ab54eb02a3aca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::addId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds new ID to database </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>ID to add </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="a370cfa3a6c5e099ea831aa47cd0bec2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::authenticate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tries to authenticate user woth username and password </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>user to authenticate </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if user is authenticated </dd></dl>

</div>
</div>
<a class="anchor" id="ac215f9c1ca04972b9e786917c5630e14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::editId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>oldId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>newId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Edits new ID to database </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldId</td><td>ID to edit </td></tr>
    <tr><td class="paramname">newId</td><td>ID to replace with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="a6b884ecb6c99d0bc58e308140f443222"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::editPassword </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>newPassword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Edits password of given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to edit </td></tr>
    <tr><td class="paramname">newPassword</td><td>new password </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="a0c48fcee0a4938a9e758b939a2e7229b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::editUsername </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>newUsername</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Edits username of given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to edit </td></tr>
    <tr><td class="paramname">newUsername</td><td>new username </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="ac81443e761b766b218550a8e6b0b786b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_o_auth_id.html">OAuthId</a> &gt; &amp; OAuth::getDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets inner database of credentials </p><dl class="section return"><dt>Returns</dt><dd>database of credentials </dd></dl>

</div>
</div>
<a class="anchor" id="a02baeb7bfc7c1d69fb8cf7dfa7f2cb98"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_o_auth_id.html">OAuthId</a> OAuth::getId </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>username</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fetches credentials of selected user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to fetch </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>credentials of selected user </dd></dl>

</div>
</div>
<a class="anchor" id="a4e37754724323a2b0e2dadab12ecc71d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::removeId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes ID from database </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>ID to remove </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="a5cce8a3b92e7d98d8c25adbeb9c3cde7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::wrongPassword </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if user is not authenticated because of a wrong password </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>user to authenticate </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if user is not authenticated because of a wrong password </dd></dl>

</div>
</div>
<a class="anchor" id="ad1fd304b1233bf1e3829f897c8413280"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuth::wrongUser </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_o_auth_id.html">OAuthId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if user is not authenticated because of a wrong username </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>user to authenticate </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if user is not authenticated because of a wrong username </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a8c2ab31bcc4372b65f69bc77745ce61c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_o_auth.html">OAuth</a> &amp;&#160;</td>
          <td class="paramname"><em>oauth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>auth/OAuth/<a class="el" href="_o_auth_8h_source.html">OAuth.h</a></li>
<li>auth/OAuth/OAuth.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_o_auth.html">OAuth</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
